#pragma once

#include <SFML/Graphics.hpp>

using namespace sf;

class NumText: public Drawable, public Transformable {
public:
	NumText();
	virtual ~NumText();
	void setTexture(Texture* texture);
	void setNumber(unsigned number);
	void semicolon();
	void percent();
private:
	Texture* _font;
	std::vector<Sprite> _nums;
	bool _semicolon;
	bool _percent;
	virtual void draw(RenderTarget& target, RenderStates states) const override;
};
